INTERFACE
SUBROUTINE CO2CLDAIRS(K_IEND,PPRES,PANGL,PANGLA,&
 & PANGS,PANGSA,KSURF,KSAT,KCHPF,KCHID,KNCHU,PROF,PROFS,&
 & PROFSS,PROFCV,PEMIS,PTAU,POBS,PRADM,P_ZTBM,PRADOV,&
 & PLAT,POROG,PCT,P_ZEM) 
USE PARKIND1 , ONLY : JPIM, JPRB
USE YOMDIMO , ONLY : NLSAT, NMXTCHU, NPNSAV, NPNSSV, NPNCV, NPTNAV
USE YOMTVRAD , ONLY : NJPPF, AIRSCHAN, M__NumAIRSChans
REAL(KIND=JPRB), INTENT(IN), DIMENSION(NLSAT) :: PPRES
INTEGER(KIND=JPIM), INTENT(IN) :: K_IEND
INTEGER(KIND=JPIM), INTENT(IN) :: KSAT
INTEGER(KIND=JPIM), INTENT(IN) :: KCHPF
REAL(KIND=JPRB), INTENT(IN), DIMENSION(K_IEND) :: PANGL,PANGS
REAL(KIND=JPRB), INTENT(IN), DIMENSION(K_IEND) :: PANGLA,PANGSA
INTEGER(KIND=JPIM), INTENT(IN), DIMENSION(NJPPF*NMXTCHU) :: KCHID
INTEGER(KIND=JPIM), INTENT(IN), DIMENSION(K_IEND) :: KSURF
INTEGER(KIND=JPIM), INTENT(IN), DIMENSION(K_IEND) :: KNCHU
REAL(KIND=JPRB), INTENT(IN), DIMENSION(NLSAT,NPTNAV+2,K_IEND) :: PROF
REAL(KIND=JPRB), INTENT(IN), DIMENSION(NPNSAV,K_IEND) :: PROFS
REAL(KIND=JPRB), INTENT(IN), DIMENSION(NPNSSV,K_IEND) :: PROFSS
REAL(KIND=JPRB), INTENT(IN), DIMENSION(NPNCV,K_IEND) :: PROFCV
REAL(KIND=JPRB),INTENT(IN), DIMENSION(NJPPF*NMXTCHU) :: PEMIS
REAL(KIND=JPRB), INTENT(IN), DIMENSION(NLSAT,KCHPF) :: PTAU
REAL(KIND=JPRB),INTENT(IN), DIMENSION(NJPPF*NMXTCHU) :: POBS
REAL(KIND=JPRB), INTENT(IN), DIMENSION(NJPPF*NMXTCHU) :: PRADM
REAL(KIND=JPRB), INTENT(IN), DIMENSION(NJPPF*NMXTCHU) :: P_ZTBM
REAL(KIND=JPRB), INTENT(IN), DIMENSION(2*NLSAT+2,KCHPF) :: PRADOV
REAL(KIND=JPRB), INTENT(IN), DIMENSION(K_IEND) :: PLAT,POROG
REAL(KIND=JPRB), INTENT(OUT), DIMENSION(K_IEND) :: PCT
REAL(KIND=JPRB), INTENT(OUT), DIMENSION(K_IEND) :: P_ZEM
INTEGER(KIND=JPIM), PARAMETER :: INBCAN=123
INTEGER(KIND=JPIM), PARAMETER, DIMENSION(INBCAN) :: I_SETCAN=(/&
 & 1,6,7,10,11,15,16,17,20,21,22,24,27,28,30,36,39,40,&
 & 42,51,52,54,55,56,59,62,63,68,69,71,72,73,74,75,76,&
 & 77,78,79,80,82,83,84,86,92,93,98,99,101,104,105,&
 & 108,110,111,113,116,117,123,124,128,129,138,139,&
 & 144,145,150,151,156,157,159,162,165,168,169,170,&
 & 172,173,174,175,177,179,180,182,185,186,190,192,&
 & 198,201,204,207,210,215,216,221,226,227,232,252,&
 & 253,256,257,261,262,267,272,295,299,300,305,310,&
 & 321,325,333,338,355,362,375,453,475,484,497,528,787/) 
END SUBROUTINE CO2CLDAIRS
END INTERFACE
